Ubiquity KDE crash on try/install and from live session with "malloc(): unaligned tcache chunk detected"

Bug #1920665 reported by Rik Mills
40
This bug affects 5 people
Affects Status Importance Assigned to Milestone
mesa (Ubuntu)
Critical
Timo Aaltonen
Hirsute
Critical
Timo Aaltonen
ubiquity (Ubuntu)
Critical
Unassigned
Hirsute
Critical
Unassigned

Bug Description

ProblemType: Bug
DistroRelease: Ubuntu 21.04
Package: ubiquity 21.04.11
ProcVersionSignature: Ubuntu 5.11.0-11.12-generic 5.11.0
Uname: Linux 5.11.0-11-generic x86_64
ApportVersion: 2.20.11-0ubuntu60
Architecture: amd64
CasperMD5CheckResult: pass
CasperVersion: 1.460
CurrentDesktop: KDE
Date: Sun Mar 21 11:53:44 2021
InstallCmdLine: BOOT_IMAGE=/casper/vmlinuz file=/cdrom/preseed/kubuntu.seed maybe-ubiquity quiet splash ---
LiveMediaBuild: Kubuntu 21.04 "Hirsute Hippo" - Alpha amd64 (20210321)
SourcePackage: ubiquity
UpgradeStatus: No upgrade log present (probably fresh install)

Since approximately 16/03/2021 ubiquity from maybe-ubiquity (try install screen) and from the live session is crashing on launch or shortly after.

Cases where the crash can be triggered:

- Using a Virtualbox VM, where graphics acceleration is handled by mesa with LLVMPIPE
- Start the ISO on real hardware in 'safe graphics mode'

Cases where the crash is not encountered:
- Start the ISO on real intel (HD graphics) hardware with full acceleration.

NOTE: The crash can be avoided by downgrading MESA 21.0.x packages to the previous 20.3.4 in hirsute.

Try/Install crash:

Screen fails to start, or starts then crashes on any user action. The user is presented with:

"Installation failed - The installer encountered an unrecoverable error.
A desktop session will now be run so that you may investigate the problem or try installing again"

Live session crash:

The installer does not start from the desktop icon. Starting ubiquity from the terminal results in an "Aborted (core dumped)" message and nothing else.

The crash is most commonly "malloc(): unaligned tcache chunk detected", but inevitably from this sort of memory issue can be something like "realloc(): invalid next size"

An example /var/log/installer/debug log from a session where both crashes were triggered is below.

**** /var/log/installer/debug ****

Ubiquity 21.04.11
TEXT <small>If more than one person will use this computer, you can set up multiple accounts after installation.</small>
TEXT <small>Enter the same password twice, so that it can be checked for typing errors.</small>
TEXT <small>The name it uses when it talks to other computers.</small>
TEXT <small>Enter the same password twice, so that it can be checked for typing errors.</small>
TEXT <small>Enter the same password twice, so that it can be checked for typing errors.</small>
TEXT <small>If more than one person will use this computer, you can set up multiple accounts after installation.</small>
TEXT <small>Enter the same password twice, so that it can be checked for typing errors.</small>
TEXT <small>The name it uses when it talks to other computers.</small>
QSocketNotifier: Invalid socket 17 and type 'Read', disabling...
QSocketNotifier: Invalid socket 17 and type 'Write', disabling...
QSocketNotifier: Invalid socket 17 and type 'Exception', disabling...
Your console font configuration will be updated the next time your system
boots. If you want to update it now, run 'setupcon' from a virtual console.
update-initramfs is disabled since running on read-only media
debconf: DbDriver "passwords" warning: could not open /var/cache/debconf/passwords.dat: Permission denied
munmap_chunk(): invalid pointer
Ubiquity 21.04.11
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-kubuntu'
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-kubuntu'
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-kubuntu'
TEXT <small>If more than one person will use this computer, you can set up multiple accounts after installation.</small>
TEXT <small>Enter the same password twice, so that it can be checked for typing errors.</small>
TEXT <small>The name it uses when it talks to other computers.</small>
TEXT <small>Enter the same password twice, so that it can be checked for typing errors.</small>
malloc(): unaligned tcache chunk detected

Revision history for this message
Rik Mills (rikmills) wrote :
description: updated
Rik Mills (rikmills)
description: updated
Revision history for this message
Rik Mills (rikmills) wrote :

Some diagnosis as follows:

- Loaded a previous snapshot of a Kubuntu 21.04 VM from before 16th March 2021.
- Installed ubiquity.
- Tested whether ubiquity launches.
- Ubiquity launches.

- Then looked at what was upgradable in the release pocket.
- Sequentially upgraded likely culprits, rebooted, and tried to launch ubiquity after each small update.

Result:

Found that upgrading Mesa packages from 20.3.4-1 to 21.0.0-1 is all that is required to trigger the crash.

Upgraded the following packages:
libegl-mesa0 (20.3.4-1) to 21.0.0-1
libgbm1 (20.3.4-1) to 21.0.0-1
libgl1-mesa-dri (20.3.4-1) to 21.0.0-1
libglapi-mesa (20.3.4-1) to 21.0.0-1
libglx-mesa0 (20.3.4-1) to 21.0.0-1
libxatracker2 (20.3.4-1) to 21.0.0-1
mesa-va-drivers (20.3.4-1) to 21.0.0-1
mesa-vdpau-drivers (20.3.4-1) to 21.0.0-1
mesa-vulkan-drivers (20.3.4-1) to 21.0.0-1

Revision history for this message
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1920665

tags: added: iso-testing
Rik Mills (rikmills)
summary: - Ubiquity crash on try/install and from live session with "malloc():
+ Ubiquity KDE crash on try/install and from live session with "malloc():
unaligned tcache chunk detected"
Revision history for this message
Rik Mills (rikmills) wrote :

Testing a no change rebuild of ubiquity 21.04.11 in a PPA, it seems this is all that is required to remedy the crash with the latest ISO build.

https://launchpad.net/~rikmills/+archive/ubuntu/hirsute/+sourcepub/12212560/+listing-archive-extra

Revision history for this message
Bob H (bobbicat) wrote :

successfully create a thumb drive from:
hirsute-desktop-amd64.iso 2021-03-21 05:49 2.7G Desktop image for 64-bit PC (AMD64) computers (standard download)
boot from thumb drive:
"Installation failed - KDialog \n
The installer encountered an unrecoverable error.
A desktop session will now be run so that you may
investigate the problem or try installing again"

Installation cannot proceed.

I don't have the know how to be able to investigate, unfortunately.

Revision history for this message
Rik Mills (rikmills) wrote :

No crash with today's ISO 20210322 on real hardware (intel graphics laptop)

However, in a Virtualbox VM the crash persists.

Rik Mills (rikmills)
description: updated
Revision history for this message
Bob H (bobbicat) wrote :

Unfortunately iso 20210322 is producing a crash on my hardware. [see bug 1920712]

Revision history for this message
Leó Kolbeinsson (leok) wrote :

@rikmills

Crash in VirtualBox but real hardware (Lenovo 450) no crash ISO 2021-03-23 same as yr comment #6

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in mesa (Ubuntu):
status: New → Confirmed
Changed in ubiquity (Ubuntu):
status: New → Confirmed
Revision history for this message
Bob H (bobbicat) wrote :

crash on my hardware with ISO 2021-03-23

no error message appears now
I just get a black screen mouse pointer visible

Revision history for this message
Rik Mills (rikmills) wrote :

I would also note that on real hardware here, the crash can be reproduced by booting in safe graphics mode. This is what Bob H said he was doing in his other duplicate bug.

Booting in full mode on my hardware is still no crash.

Revision history for this message
Bob H (bobbicat) wrote :

correction tp post #11:

I just re-attempted installing from thumb drive
on my hardware with ISO 2021-03-23
crash as with ISO 2021-03-22 and earlier

I have nVidia graphics [using safe mode install option]
my hardware is home built PC

Revision history for this message
Bob H (bobbicat) wrote :

My nvidia graphics card needs safe mode, but generally installations proceed without problems.

The Hirsute daily builds were installing without a hitch until recently. I'll check my most recent successful installation and see if I can find a version number. It was after this that the bug appeared.

Revision history for this message
Bob H (bobbicat) wrote :

It turns out I don't have my latest successful installation of Kubuntu Hirsute.
I did a successful install of Ubuntu Hirsute to confirm whether it was only the Kubuntu version that was affected.

Revision history for this message
Rik Mills (rikmills) wrote :

A no change rebuild of ubiquity no longer seems to fix the issue with the latest ISO

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

I hit this issue a couple of days ago when trying the latest Kubuntu ISO in a VM.

Then I tried with the groovy ISO, and the issue was present with that as well.

Revision history for this message
Bob H (bobbicat) wrote :

I have attempted to install from

kubuntu hirsute daily build 21-03-22
kubuntu hirsute daily build 21-03-23
kubuntu hirsute daily build 21-03-24

each version the insstallation fails.

Incidentally I noticed another change.

While the daily builds were installing correctly a procedure appeared on screen, this no longer happens.

After booting the installation media, a self check ran with an on screen display showing the stages the check was passing through.

The word Kubuntu appeared on screen and this display was beneath it.

Since the installation began to fail, the file check no longer shows and although the word Kubuntu appears it disappears shortly after.

As it changed when installation began to fail, maybe there is a connection?

Revision history for this message
Bob H (bobbicat) wrote :

I should repeat, I am performing the installation using 'Safe Graphics' mode.

Revision history for this message
Rik Mills (rikmills) wrote :

In reverse of my previous installation bisect, I can confirm that force downgrading mesa to the previous major release results in these crashes going away.

Rik Mills (rikmills)
Changed in mesa (Ubuntu Hirsute):
importance: Undecided → Critical
Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

On 2021-03-23 17:32, Gunnar Hjalmarsson wrote:
> Then I tried with the groovy ISO, and the issue was present with that
> as well.

That was false alarm at least. Sorry.

Changed in ubiquity (Ubuntu Hirsute):
milestone: none → ubuntu-21.04
Revision history for this message
Bob H (bobbicat) wrote :

kubuntu hirsute daily build 21-03-28

also fails if safe graphics mode is used on a machine with nVidia graphics

Rik Mills (rikmills)
description: updated
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Can ubiquity be run manually? Or there would need to be another reproducer for this, otherwise bisecting mesa would be impossible.

Revision history for this message
Rik Mills (rikmills) wrote : Re: [Bug 1920665] Re: Ubiquity KDE crash on try/install and from live session with "malloc(): unaligned tcache chunk detected"

On 31/03/2021 14:21, Timo Aaltonen wrote:
> Can ubiquity be run manually? Or there would need to be another
> reproducer for this, otherwise bisecting mesa would be impossible.

Ubiquity can be run from the command line in a terminal to reproduce.
You also do not have to do it from a ISO live session, but can install
'ubiquity' and 'ubiquity-frontend-kde' on a installed hirsute VM.

Rik Mills (rikmills)
tags: added: rls-hh-incoming
Revision history for this message
Bob H (bobbicat) wrote :

This is to confirm that kubuntu-21.04-beta-desktop-amd64.iso fails as an installation media on my PC.
I have nvidia graphics, amd m/board and am using 'safe graphics' when attempting to boot up the installation media from a thumb drive.
The usual "Installation failed" message is displayed.
If more info would help please give me any further instructions.

tags: removed: rls-hh-incoming
Revision history for this message
Bob H (bobbicat) wrote :

It is possible on my PC to install Ubuntu2104beta without encountering this behaviour and I can successfully install the Ubuntu flavour.

This bug does happen with the Kubuntu beta and I find it is impossible to install the Kubuntu flavour from the beta iso.

It is worth noting that mesa is present in both Ubuntu and Kubuntu.

Revision history for this message
Rik Mills (rikmills) wrote :

To test the slight possibility that builds with the current toolchain might be at fault, I rebuilt mesa 20.03.4 against current release+proposed pockets and downgraded mesa to the result.

Ubiquity/greeter does not crash with that combination.

Revision history for this message
Bob H (bobbicat) wrote :

Is there somewhere or somehow I can test your modified version of Kubuntu by downloading it and attempting an install Rik?

Rik Mills (rikmills)
description: updated
Revision history for this message
Bob H (bobbicat) wrote :

"malloc(): unaligned tcache chunk detected" does not appear on my PC.

I am trying to install from an iso of hippo on a thumb drive.

The boot fails before any 'live session' appears.

I am not trying to install from a live session, boot fails before that point.

I do not think this is the same as the bug reported here.

Rik it appears is attemptig to boot from a live session of some sort.

My installation breaks down before reaching this point.

The iso in the daily build was not failing until some time in March.

It has not been right since.

There were a number of updates on a regular basis in March.

The change is in the boot process rather than in actual installation as the installation has not been begun at the point the bug occurs.

I'm no programmer but I can see that installation has not been offered, let alone begun when things go astray.

Please review any conclusions so far.

Revision history for this message
Bob H (bobbicat) wrote :

Unfortunately what Rik is experiencing on a "live session" in his virtual machine with intel graphics using an unnecessary 'safe graphics' mode is slightly different to my necessary use of 'safe graphics' to unsuccessfully boot from a thumbdrive containing the iso.

I'm sorry I am not a bug hunter, I am not aware of the protocols.
All I can repeat is that a thumb drive containing either a current daily build or the recent beta does not boot correctly.

I would guess in my untutored way that some change to the boot process occurred during March. Up until then I had performed test installs without a hitch.

I would be happy to give any assistance/info I can but my programming experience is severely limited.

Bob H (bobbicat)
Changed in mesa (Ubuntu Hirsute):
status: Confirmed → Opinion
Rik Mills (rikmills)
Changed in mesa (Ubuntu Hirsute):
status: Opinion → Confirmed
Revision history for this message
Rik Mills (rikmills) wrote :

@Bob Your crash log confirms it is the same issue. It crashes the installer at the try/install stage (what you are reporting, and what results in the message you see) AND when the installer is manually launched from a live session.

At the moment all anyone can do is wait for the result of the mesa uploaders git bisect, to find the commit/cause in the new mesa that landed in the release pocket @ around the 17th of March.

Revision history for this message
Bob H (bobbicat) wrote :

I've tried, out of interest, an install of Ubuntu (which incidentally also carries the mesa files) from recent daily builds and also of the recently released beta.

Ubuntu is not displaying the behaviour that appears with Kubuntu.

It is possible to transfer the iso to a usb stick, run it from there in safe graphics mode and do an install to a partition on the PC.

As we know at this time this is not possible for Kubuntu.

I post this thinking it might be relevant.

Revision history for this message
Iain Lane (laney) wrote :

assigning to timo for better tracking

Changed in mesa (Ubuntu Hirsute):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in ubiquity (Ubuntu Hirsute):
status: Confirmed → Incomplete
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

I've tried to bisect mesa to see where it regressed, but turns out that an older git snapshot (~20.3.0) crashes just like with 21.0, so looks like this is caused by something else like the toolchain instead?

Revision history for this message
Rik Mills (rikmills) wrote :

On 06/04/2021 17:35, Timo Aaltonen wrote:
> I've tried to bisect mesa to see where it regressed, but turns out that
> an older git snapshot (~20.3.0) crashes just like with 21.0, so looks
> like this is caused by something else like the toolchain instead?

The rebuild of 20.3.4 here does not crash in my tests.

https://launchpad.net/~rikmills/+archive/ubuntu/mesa

Not the version is bumped to make upgrading on a system easier, but it
is a rebuild of 20.3.4 against the same toolchain crashy 21.0.x were
done with.

Please try those

Revision history for this message
Leó Kolbeinsson (leok) wrote :

@rikmills

Tested your suggestion in comment #35 and installed with no errors.

Revision history for this message
Bob H (bobbicat) wrote :

Having installed Ubuntu Hippo Beta [or a recent daily build version] successfully as in post #32 it is possible to install the Kubuntu desktop over it resulting in a working version of Kubuntu Hippo.

I suppose this could be seen as a workaround to install a working Kubuntu 2104.

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

this is caused by the zink driver, and there's a fix upstream

Rik Mills (rikmills)
Changed in mesa (Ubuntu Hirsute):
status: Confirmed → Fix Committed
Revision history for this message
Bob H (bobbicat) wrote :

Will the mesa fix be available on a daily build? I would like to test it on my hardware.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 21.0.1-2

---------------
mesa (21.0.1-2) experimental; urgency=medium

  * Move zink down the list below the sw drivers. (LP: #1920665)

 -- Timo Aaltonen <email address hidden> Wed, 07 Apr 2021 13:18:01 +0300

Changed in mesa (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Leó Kolbeinsson (leok) wrote :

I can confirm the fix works.

Tested daily ISO Kubuntu Hirsute ISO 20210409 with VirtualBox and no errors.

See results here: http://iso.qa.ubuntu.com/qatracker/milestones/419/builds/229247/testcases/1300/results

Revision history for this message
Bob H (bobbicat) wrote :

I downloaded Kubuntu daily build for 2021-04-09 and put the iso on a thumb drive
I am using the 'safe graphics' option needed by my system.

The on screen display of the initial file check process, with option to skip, still doesn't show.

A splash screen eventually shows and flickers a few times before the screen with 'try live' and 'install now' buttons appears.

I can now successfully access with the 'live screen' option, also the 'install now' button works.

I successfully installed Kubuntu Hippo via the 'install now' button.

Revision history for this message
Rik Mills (rikmills) wrote :

The ISO file integrity check was recently changed so it now runs in the background. It does not show while booting or delay boot.

Revision history for this message
Bob H (bobbicat) wrote :

I understand, thanks Rik.

Rik Mills (rikmills)
Changed in ubiquity (Ubuntu Hirsute):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers